package com.ifish.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 等级控制信息
 * @author Administrator
 *
 */
@Entity
@Table(name="tbl_gold_control")
public class GoldControl implements Serializable{

	private static final long serialVersionUID = -4825126780492039784L;
	/**
	 * ID
	 */
	@Id
	private GoldControlId goldControlId;
	/**
	 * 控制日期参数
	 */
	@Column(name="control_param",nullable=false,length=10)
	private String controlParam;
	
	/**
	 * 更新日期
	 */
	@Column(name="update_time",columnDefinition="timestamp")
	private Date updateTime;

	public GoldControl() {}
	
	public GoldControl(GoldControlId goldControlId, String controlParam,
			Date updateTime) {
		this.goldControlId = goldControlId;
		this.controlParam = controlParam;
		this.updateTime = updateTime;
	}

	public GoldControlId getGoldControlId() {
		return goldControlId;
	}

	public void setGoldControlId(GoldControlId goldControlId) {
		this.goldControlId = goldControlId;
	}

	public String getControlParam() {
		return controlParam;
	}

	public void setControlParam(String controlParam) {
		this.controlParam = controlParam;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	
}
